# Invoke-RASMFA.md

## NAME

Invoke-RASMFA

## SYNOPSIS

Invokes a MFA action.

## SYNTAX

**Invoke-RASMFA** -[CheckConnection](#checkconnection-string) *(SwitchParameter)* \[-[AttributeInfoList](#AttributeInfoList) *(List\`1)*] \[[BackupServer](#backupserver-string) *(string)*] \[-[HAMode](#HAMode) {Parallel | Serial}] \[-[PasswordEncoding](#PasswordEncoding) {PAP | CHAP}] \[[Port](#port-string) *(uint)*] \[[Retries](#retries-string) *(uint)*] \[[Server](#server-string) *(string)*] \[[Timeout](#timeout-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASMFA** \[[Id](#id-string)] *(uint)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASMFA** -[ImportVendor](#importvendor-string) *(SwitchParameter)* -[VendorFile](#vendorfile-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASMFA** \[-[InputObject](#inputobject)] *(*[*MFA*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)*)* -[Duplicate](#duplicate-string) *(SwitchParameter)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASMFA** \[\[-[SiteId](#siteid-string)] *(uint)*] -[UserPrincipalName](#userprincipalname-string) *(string)* -[ValidateADAccess](#validateadaccess-string) *(SwitchParameter)* \[[ADCustomAttribute](#adcustomattribute-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes a MFA action.

## PARAMETERS

## Id (uint)

The ID of the MFA to invoke the action on. To obtain the ID, use the Get-RASMFA cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md))

The MFA object to invoke the action on.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Duplicate (SwitchParameter)

Specifies to duplicate the MFA provider.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CheckConnection (SwitchParameter)

Specifies to duplicate the MFA provider.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ValidateADAccess (SwitchParameter)

Specifies to duplicate the MFA provider.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ImportVendor (SwitchParameter)

Specifies to duplicate the MFA provider.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

The server of the second level authentication provider.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## BackupServer (string)

The backup server of the second level authentication provider.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Port (uint)

The port number of the second level authentication provider.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HAMode ([HAMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/hamode.md))

The type of high availability mode to be used.

Possible values: Parallel, Serial

```
        Required?                    false

        Position?                    named

        Default value                Parallel

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Timeout (uint)

Connection timeout (in seconds).

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Retries (uint)

Number of retries.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PasswordEncoding

([PasswordEncoding](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/passwordencoding.md)) The type of password encoding to be used.

Possible values: PAP, CHAP

```
        Required?                    false

        Position?                    named

        Default value                PAP

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AttributeInfoList (List\`1)

List of the RADIUS attribute information.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to Validate the MFA AD Access.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ADCustomAttribute (string)

AD Custom Attribute

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## UserPrincipalName (string)

The User Principal Name

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VendorFile (string)

Vendor Details file name.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[MFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfa.md)

## OUTPUTS

[MFADeepnet](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfadeepnet.md)

[MFAEmailOTP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfaemailotp.md)

[MFARadius](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfaradius.md)

[MFASafenet](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfasafenet.md)

[MFATOTP](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfatotp.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASMFA -Id 1 -Duplicate

Adds a new MFA by duplicating the MFA with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASMFA -ValidateADAccess -SiteId 1 -ADCustomAttribute "customasd" -UserPrincipalName "<test@prls.dev>"

Adds a new MFA by duplicating the MFA with ID 1.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASMFA -CheckConnection -Server 1.1.1.1 -BackupServer 2.2.2.2 -Port 80 -HAMode Parallel -Timeout 1 -Retries 1 -SecretKey $secretkey -PasswordEncoding CHAP

Adds a new MFA by duplicating the MFA with ID 1.

## RELATED LINKS

* [Get-RASMFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasmfa.md)
* [New-RASMFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasmfa.md)
* [Set-RASMFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasmfa.md)
* [Remove-RASMFA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasmfa.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasmfa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
